Home > Dependent Module > Dependent Module Could Not Be Loaded Aix

Dependent Module Could Not Be Loaded Aix

Contents

I think the newer version of gcc rpms just does it. mhdawson 270001NC4X ‏2015-06-18T19:33:05Z We validated that we build with an earlier compiler (4.6.1) and that our compiler machines with that level installed can run node without problem. There is also the chance that shr.o is not the same bitsize. Not what you were looking for? http://strobelfilms.com/dependent-module/dependent-module-could-not-be-loaded.html

This is the accepted answer. mhdawson 270001NC4X 27 Posts Re: Module load problem AIX ‏2015-06-18T19:33:05Z This is the accepted answer. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. I have seen similar things with libjvm.a and libjvm.so. http://www.unix.com/unix-for-advanced-and-expert-users/173759-aix-dependent-module-could-not-loaded.html

Dependent Module Libclntsh.so Could Not Be Loaded

Defendant"? Could large but sparsely populated country control its borders? At various stages in unixODBC's history, libtool (used to create unixODBC shared objects) has created:libodbc.a(libodbc.so)libodbc.a(libodbc.so.1) Applications linked against the library are dependent on the name of the archive (libodbc.a) and the

This is unusual because most of modules are either pure javascript or include the files required to build the module at installation time. The license of povray is quite complicated, more information can be found at: http://www.povray.org/povlegal.html http://www.povray.org/distribution-license.html The POV-Ray binary is available in three different flavors: povray - the generic binary, should run What's the correct term to describe baby food? Dependent Module Libons.so Could Not Be Loaded. Employer offering Roth 401k as well as traditional 401(k), established in career What is this picture in Thrawn's study of?

and this is an AIX-specific issue. 0509-026 System Error: Cannot Run A File That Does Not Have A Valid Format Yours, Clovis Remove advertisements Sponsored Links Clovis_Sangrail View Public Profile Find all posts by Clovis_Sangrail

« Previous Thread | Next Thread » Thread Tools Show Printable Version Email this Page asked 2 years ago viewed 908 times active 2 years ago Related 2AIX/UNIX: module has an invalid magic number0How to get DB2 driver load correctly on AIX 5.30Error when trying to https://www.ibm.com/developerworks/community/forums/html/topic?id=7c05be12-18d7-40a6-908c-95eb641e1bf0 MedojuSrinivas 270007MB8W 1 Post Re: Module load problem AIX ‏2015-09-23T09:20:34Z This is the accepted answer.

If db2 is a shared object, I can see the rationale. 0509-150 Dependent Module Libons.so Could Not Be Loaded. More... mhdawson 270001NC4X ‏2015-06-18T19:33:05Z We validated that we build with an earlier compiler (4.6.1) and that our compiler machines with that level installed can run node without problem. asked 2 years ago viewed 907 times active 2 years ago Related 0PHP loads module, but Apache Start Says No - LDAP1WinXP - PHP Startup: Unable to load dynamic library php_ibm_db2.dll0SVN

0509-026 System Error: Cannot Run A File That Does Not Have A Valid Format

Not that I'm complaining, I'm glad it works. At compile-time you have to add -L/opt/freeware/lib64 to you LDFLAGS or LIBS. Dependent Module Libclntsh.so Could Not Be Loaded Log in to reply. 0509-026 System Error: A File Or Directory In The Path Name Does Not Exist php apache db2 ibm aix share|improve this question asked Jun 24 '14 at 11:52 Aniruddha 718 Looks like you don't have the DB2 client correctly installed. –mustaccio Jun 24

Hi Ashish, I tried this, and the application program was not at all happy with the result. weblink I think the newer version of gcc rpms just does it. Any help would be appreciated. Is the effect of dollar sign the same as textit? Dependent Module Libskgxp11.so Could Not Be Loaded

For details on which initialization script to run (testrtinit.csh ortestrtinit.sh), see How_To_Start_TestRealTime.txt in the installation directory. It spat errors like: ========== 0509-150 Dependent module /usr/local/lib/libgpgme.a(libgpgme.so.11) could not be loaded. 0509-153 File /usr/local/lib/libgpgme.a is not an archive or the file could not be read properly. 0509-026 System error: mhdawson 270001NC4X 27 Posts Re: Module load problem AIX ‏2015-09-24T14:14:03Z This is the accepted answer. navigate here Setting LD_LIBRARY_PATH=/opt/freeware/lib64 only worked.

fabioxavier 120000MMYQ 4 Posts Re: Module load problem AIX ‏2015-06-19T22:24:45Z This is the accepted answer. 0509-150 Dependent Module Libimbcmdlib.a(libimbcmdlib.a.so) Could Not Be Loaded Get out of the transit airport at Schengen area and the counting of Schengen period How to send the ESC signal to vim when my esc key doesn't work? You may also refer to the English Version of this knowledge base article for up-to-date information.

The problem can be solved at run time by setting LIBPATH variable to /opt/freeware/lib64 or by making symlinks for libgcc_s.a and libstdc++.a in /usr/lib.

I'm guessing it might be down to where the libraries were installed. Topic Forum Directory >‎ Communities category >‎ Forum: IBM SDK for Node.js >‎ Topic: Module load problem AIX 9 replies Latest Post - ‏2015-09-24T14:14:03Z by mhdawson Display:ConversationsBy Date 1-10 of 10 cob32: error(s) in compilation: /diapason/diap524/tst/source/FMMOV005.cob

Resolution: Make sure that the LIBPATH environmental variable points to $COBDIR/lib set LIBPATH=$COBDIR/lib:$LIBPATH this should solve the problem.

Old KB# 2101 Terms Of Use Dependent Module Libttsh11.so Could Not Be Loaded it can find it but can not load it.

Log in to reply. Fabio Log in to reply. Has anybody ever encountered something like this? his comment is here The older C-based version 3.1g is also provided and both versions can be installed at the same time.

exec(): 0509-036 Cannot load program /usr/lib/cobol/bin/rts32_t because of the following errors: 0509-150Dependent module libcobrts_t.2.so could not be loaded. 0509-022 Cannot load module libcobrts_t.2.so. 0509-026 System error: A file or directory in Join them; it only takes a minute: Sign up Dependent module libdb2.a(shr.o) could not be loaded up vote 0 down vote favorite I have been trying to connect to DB2 from Why is credit card information not stolen more often? Or...

Could that be the issue? Gallen, Switzerland Posts: 6,504 Thanks: 162 Thanked 533 Times in 466 Posts The fellow moderator's link is usable now. On AIX I think you need to use LIBPATH instead of LD_LIBRARTY_PATH So you would use export LIBPATH=/opt/freeware/lib/gcc/powerpc-ibm-aix6.1.0.0/4.8.3/ppc64 provided that is where libstdc++ is installed. Would presence of MANPADS ground the entire airline industry?

Submit feedback to IBM Support 1-800-IBM-7378 (USA) Directory of worldwide contacts Contact Privacy Terms of use Accessibility Share?Profiles ▼Communities ▼Apps ▼ Forums IBM SDK for Node.js x39f4d6be-d936-4a36-8fbf-874bf4bde113Forum Expanded section▼Topic Tags ? All Rights Reserved.